/*
 * utils - LoggingListener.java - Copyright © 2009 David Roden
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

package net.pterodactylus.util.logging;

import java.util.EventListener;
import java.util.logging.LogRecord;

/**
 * Interface for components that want to receive logged messages.
 *
 * @author <a href="mailto:bombe@pterodactylus.net">David ‘Bombe’ Roden</a>
 */
public interface LoggingListener extends EventListener {

	/**
	 * Notifies a listener that a new log record was received.
	 *
	 * @param logRecord
	 *            The received log record
	 */
	public void logged(LogRecord logRecord);

}
